#ifndef __IO_h__
#define __IO_h__

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <math.h>
#include <float.h>
#include <limits.h>
#include <string.h>
#include <time.h>

#ifdef UNIX
#include <sys/time.h>
#endif


#define ROW   0
#define COL   1 
#define BOTH  2

#define FALSE 0
#define TRUE  1

#define MAX_WORD_LENGTH 999
#define MAX_LINE_LENGTH 9999

#define min(a, b)       ( (a) < (b) ? (a) : (b) )
#define max(a, b)       ( (a) > (b) ? (a) : (b) )
#define fabsmin(a, b)   ( fabs(a) < fabs(b) ? (a) : (b) )
#define fabsmax(a, b)   ( fabs(a) > fabs(b) ? (a) : (b) )

FILE *OpenFile(char *file_name, char *mode) ;
void CloseFile(char *file_name, FILE *stream) ;
void Abort(char *error) ;

#endif /* __IO_h__ */
